Package epydoc :: Module checker

[hide private]
[frames] | no frames]

# Module checker

source code

Documentation completeness checker. This module defines a single class, `DocChecker`, which can be used to check the that specified classes of objects are documented.

Classes | [hide private]

| DocChecker Documentation completeness checker.

Variables | [hide private]

| _NO_DOCS = ``[``'``__hash__``'``,` `'``__repr__``'``,` `'``__str__``'``,` `'``__cmp__``'``]``
| _NO_BASIC = ``[``'``__hash__``'``,` `'``__repr__``'``,` `'``__str__``'``,` `'``__cmp__``'``]``
| _NO_RETURN = ``[``'``__init__``'``,` `'``__hash__``'``,` `'``__repr__``'``,` `'``__str__``'``,` `'``...``
| _NO_PARAM = ``[``'``__cmp__``'``]``

Variables Details | [hide private]

### _NO_RETURN

Value:

      ['__init__', '__hash__', '__repr__', '__str__', '__cmp__']